| Home | Libraries | People | FAQ | More

## Function template mismatch

boost::algorithm::mismatch

## Synopsis

    // In header: <boost/algorithm/cxx14/mismatch.hpp>

    template<typename InputIterator1, typename InputIterator2>
      std::pair< InputIterator1, InputIterator2 >
      mismatch(InputIterator1 first1, InputIterator1 last1, InputIterator2 first2,
               InputIterator2 last2);

## Description

Parameters:

`first1` | The start of the first range.
`first2` | The start of the second range.
`last1` | One past the end of the first range.
`last2` | One past the end of the second range.

Returns: | a pair of iterators pointing to the first elements in the sequence that do not match